net.minecraftforge.event

## Class ForgeEventFactory

- java.lang.Object
- - net.minecraftforge.event.ForgeEventFactory

-     public class ForgeEventFactory
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForgeEventFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Event.Result` | `canEntityDespawn(EntityLiving entity)`
    `static Event.Result` | `canEntitySpawn(EntityLiving entity, World world, float x, float y, float z)`
    `static boolean` | `doPlayerHarvestCheck(EntityPlayer player, Block block, boolean success)`
    `static boolean` | `doSpecialSpawn(EntityLiving entity, World world, float x, float y, float z)`
    `static float` | `fireBlockHarvesting(java.util.ArrayList<ItemStack> drops, World world, Block block, int x, int y, int z, int meta, int fortune, float dropChance, boolean silkTouch, EntityPlayer player)`
    `static void` | `firePlayerLoadingEvent(EntityPlayer player, java.io.File playerDirectory, java.lang.String uuidString)`
    `static void` | `firePlayerLoadingEvent(EntityPlayer player, IPlayerFileData playerFileData, java.lang.String uuidString)`
    `static void` | `firePlayerSavingEvent(EntityPlayer player, java.io.File playerDirectory, java.lang.String uuidString)`
    `static ZombieEvent.SummonAidEvent` | `fireZombieSummonAid(EntityZombie zombie, World world, int x, int y, int z, EntityLivingBase attacker, double summonChance)`
    `static float` | `getBreakSpeed(EntityPlayer player, Block block, int metadata, float original)` Deprecated.
    `static float` | `getBreakSpeed(EntityPlayer player, Block block, int metadata, float original, int x, int y, int z)`
    `static int` | `getMaxSpawnPackSize(EntityLiving entity)`
    `static java.lang.String` | `getPlayerDisplayName(EntityPlayer player, java.lang.String username)`
    `static java.util.List<BiomeGenBase.SpawnListEntry>` | `getPotentialSpawns(WorldServer world, EnumCreatureType type, int x, int y, int z, java.util.List<BiomeGenBase.SpawnListEntry> oldList)`
    `static boolean` | `onEntityStruckByLightning(Entity entity, EntityLightningBolt bolt)`
    `static ItemTooltipEvent` | `onItemTooltip(ItemStack itemStack, EntityPlayer entityPlayer, java.util.List<java.lang.String> toolTip, boolean showAdvancedItemTooltips)`
    `static ItemStack` | `onItemUseFinish(EntityPlayer player, ItemStack item, int duration, ItemStack result)`
    `static int` | `onItemUseStart(EntityPlayer player, ItemStack item, int duration)`
    `static int` | `onItemUseTick(EntityPlayer player, ItemStack item, int duration)`
    `static void` | `onPlayerDestroyItem(EntityPlayer player, ItemStack stack)`
    `static PlayerInteractEvent` | `onPlayerInteract(EntityPlayer player, PlayerInteractEvent.Action action, int x, int y, int z, int face)` Deprecated.
    `static PlayerInteractEvent` | `onPlayerInteract(EntityPlayer player, PlayerInteractEvent.Action action, int x, int y, int z, int face, World world)`
    `static void` | `onStartEntityTracking(Entity entity, EntityPlayer player)`
    `static void` | `onStopEntityTracking(Entity entity, EntityPlayer player)`
    `static boolean` | `onUseItemStop(EntityPlayer player, ItemStack item, int duration)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ForgeEventFactory

          public ForgeEventFactory()

  - ### Method Detail

    - #### doPlayerHarvestCheck

          public static boolean doPlayerHarvestCheck(EntityPlayer player,
                                     Block block,
                                     boolean success)

    - #### getBreakSpeed

          @Deprecated
          public static float getBreakSpeed(EntityPlayer player,
                                       Block block,
                                       int metadata,
                                       float original)

      Deprecated.

    - #### getBreakSpeed

          public static float getBreakSpeed(EntityPlayer player,
                            Block block,
                            int metadata,
                            float original,
                            int x,
                            int y,
                            int z)

    - #### onPlayerInteract

          @Deprecated
          public static PlayerInteractEvent onPlayerInteract(EntityPlayer player,
                                                        PlayerInteractEvent.Action action,
                                                        int x,
                                                        int y,
                                                        int z,
                                                        int face)

      Deprecated.

    - #### onPlayerInteract

          public static PlayerInteractEvent onPlayerInteract(EntityPlayer player,
                                             PlayerInteractEvent.Action action,
                                             int x,
                                             int y,
                                             int z,
                                             int face,
                                             World world)

    - #### onPlayerDestroyItem

          public static void onPlayerDestroyItem(EntityPlayer player,
                                 ItemStack stack)

    - #### canEntitySpawn

          public static Event.Result canEntitySpawn(EntityLiving entity,
                                    World world,
                                    float x,
                                    float y,
                                    float z)

    - #### doSpecialSpawn

          public static boolean doSpecialSpawn(EntityLiving entity,
                               World world,
                               float x,
                               float y,
                               float z)

    - #### canEntityDespawn

          public static Event.Result canEntityDespawn(EntityLiving entity)

    - #### getPotentialSpawns

          public static java.util.List<BiomeGenBase.SpawnListEntry> getPotentialSpawns(WorldServer world,
                                                                       EnumCreatureType type,
                                                                       int x,
                                                                       int y,
                                                                       int z,
                                                                       java.util.List<BiomeGenBase.SpawnListEntry> oldList)

    - #### getMaxSpawnPackSize

          public static int getMaxSpawnPackSize(EntityLiving entity)

    - #### getPlayerDisplayName

          public static java.lang.String getPlayerDisplayName(EntityPlayer player,
                                              java.lang.String username)

    - #### fireBlockHarvesting

          public static float fireBlockHarvesting(java.util.ArrayList<ItemStack> drops,
                                  World world,
                                  Block block,
                                  int x,
                                  int y,
                                  int z,
                                  int meta,
                                  int fortune,
                                  float dropChance,
                                  boolean silkTouch,
                                  EntityPlayer player)

    - #### onItemTooltip

          public static ItemTooltipEvent onItemTooltip(ItemStack itemStack,
                                       EntityPlayer entityPlayer,
                                       java.util.List<java.lang.String> toolTip,
                                       boolean showAdvancedItemTooltips)

    - #### fireZombieSummonAid

          public static ZombieEvent.SummonAidEvent fireZombieSummonAid(EntityZombie zombie,
                                                       World world,
                                                       int x,
                                                       int y,
                                                       int z,
                                                       EntityLivingBase attacker,
                                                       double summonChance)

    - #### onEntityStruckByLightning

          public static boolean onEntityStruckByLightning(Entity entity,
                                          EntityLightningBolt bolt)

    - #### onItemUseStart

          public static int onItemUseStart(EntityPlayer player,
                           ItemStack item,
                           int duration)

    - #### onItemUseTick

          public static int onItemUseTick(EntityPlayer player,
                          ItemStack item,
                          int duration)

    - #### onUseItemStop

          public static boolean onUseItemStop(EntityPlayer player,
                              ItemStack item,
                              int duration)

    - #### onItemUseFinish

          public static ItemStack onItemUseFinish(EntityPlayer player,
                                  ItemStack item,
                                  int duration,
                                  ItemStack result)

    - #### onStartEntityTracking

          public static void onStartEntityTracking(Entity entity,
                                   EntityPlayer player)

    - #### onStopEntityTracking

          public static void onStopEntityTracking(Entity entity,
                                  EntityPlayer player)

    - #### firePlayerLoadingEvent

          public static void firePlayerLoadingEvent(EntityPlayer player,
                                    java.io.File playerDirectory,
                                    java.lang.String uuidString)

    - #### firePlayerSavingEvent

          public static void firePlayerSavingEvent(EntityPlayer player,
                                   java.io.File playerDirectory,
                                   java.lang.String uuidString)

    - #### firePlayerLoadingEvent

          public static void firePlayerLoadingEvent(EntityPlayer player,
                                    IPlayerFileData playerFileData,
                                    java.lang.String uuidString)